package com.zm.order.tool.server.enums;

/**
 * @Description 角色枚举
 * @Author: ph
 * @Date: 2019/11/15 17:47
 */
public enum RoleEnum {
    /**
     * 默认
     */
    USER(1, "用户"),
    SELLER(2, "卖家"),
    SYSTEM(3, "系统"),
    ORDER_CENTER_TOOL(8, "订单工具");
    private final Integer value;

    private final String desc;

    RoleEnum(final Integer value, final String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
